[openwrt/openwrt] uqmi: silence error on pin verification

LEDE Commits lede-commits at lists.infradead.org
Mon Jan 22 03:54:03 PST 2018


blogic pushed a commit to openwrt/openwrt.git, branch master:
https://git.lede-project.org/5bdbc10b1b0d323f145f652f45a8f9bed6aaa40d

commit 5bdbc10b1b0d323f145f652f45a8f9bed6aaa40d
Author: Koen Vandeputte <koen.vandeputte at ncentric.com>
AuthorDate: Fri Jan 19 11:31:52 2018 +0100

    uqmi: silence error on pin verification
    
    If a device only supports the 2nd verification method (uim),
    the first method will fail as expected reporting an error:
    
    "Command not supported"
    
    Silence both separate methods and only report an error regarding
    pin verification if both fail.
    
    Signed-off-by: Koen Vandeputte <koen.vandeputte at ncentric.com>
---
 package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh b/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
index 9a534d4..1619c2b 100755
--- a/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
+++ b/package/network/utils/uqmi/files/lib/netifd/proto/qmi.sh
@@ -70,7 +70,7 @@ proto_qmi_setup() {
 	done
 
 	[ -n "$pincode" ] && {
-		uqmi -s -d "$device" --verify-pin1 "$pincode" || uqmi -s -d "$device" --uim-verify-pin1 "$pincode" || {
+		uqmi -s -d "$device" --verify-pin1 "$pincode" > /dev/null || uqmi -s -d "$device" --uim-verify-pin1 "$pincode" > /dev/null || {
 			echo "Unable to verify PIN"
 			proto_notify_error "$interface" PIN_FAILED
 			proto_block_restart "$interface"



More information about the lede-commits mailing list